"""application and msgcode models and relations

Revision ID: 206f8dc050f8
Revises: 
Create Date: 2018-07-25 23:37:40.763079

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '206f8dc050f8'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('application',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=128), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_application_name'), 'application', ['name'], unique=True)
    op.create_table('msg_code',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('code', sa.String(length=128), nullable=True),
    sa.Column('description', sa.Text(), nullable=True),
    sa.Column('resolution', sa.Text(), nullable=True),
    sa.Column('application_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['application_id'], ['application.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_msg_code_code'), 'msg_code', ['code'], unique=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_msg_code_code'), table_name='msg_code')
    op.drop_table('msg_code')
    op.drop_index(op.f('ix_application_name'), table_name='application')
    op.drop_table('application')
    # ### end Alembic commands ###
